Bug 1460264 - /usr/sbin/ldconfig and /usr/sbin/sln are hard linked, but have different context
/usr/sbin/ldconfig and /usr/sbin/sln are hard linked, but have different context
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Ben Levenson
:
: 1415477 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-09 10:06 EDT by Thomas Woerner
Modified: 2017-12-06 10:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-18 14:53:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Woerner 2017-06-09 10:06:59 EDT
Description of problem:
The files /usr/sbin/ldconfig and /usr/sbin/sln are hard linked, but have different context:

# ls -i /usr/sbin/ldconfig /usr/sbin/sln 
268236 /usr/sbin/ldconfig  268236 /usr/sbin/sln

# restorecon -vF /usr/sbin/ldconfig /usr/sbin/sln 
restorecon reset /usr/sbin/ldconfig context system_u:object_r:bin_t:s0->system_u:object_r:ldconfig_exec_t:s0
restorecon reset /usr/sbin/sln context system_u:object_r:ldconfig_exec_t:s0->system_u:object_r:bin_t:s0

Version-Release number of selected component (if applicable):
selinux-policy-targeted-3.13.1-225.16.fc25.noarch

How reproducible:
Always

Actual results:
Due to the different context, the context of both files is restored with every restorecon call.

Expected results:
Same context for both files?
Comment 1 Fedora End Of Life 2017-11-16 14:33:38 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 2 Florian Weimer 2017-11-18 14:53:40 EST
Does not reproduce in Fedora 27.
Comment 3 Florian Weimer 2017-12-06 10:52:31 EST
*** Bug 1415477 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.